/**
 *  指标态势分析相关接口
 */
import request from '@/api'

// 分页列表
export function getListPage(params: object) {
  return request({
    url: '/assessmentWarm/listPage',
    method: 'get',
    params,
  })
}
// 导出
export function exportWarm(params: object) {
  return request({
    url: '/assessmentWarm/export',
    method: 'get',
    params,
    responseType: 'blob',
  })
}

export function deptRanking(params: object) {
  return request({
    url: '/data/deptSituation',
    method: 'get',
    params,
  })
}

export function dataTotal(params: object) {
  return request({
    url: '/data/warnTotal',
    method: 'get',
    params,
  })
}

export function levelAnalysis(params: object) {
  return request({
    url: '/data/warningSituation',
    method: 'get',
    params,
  })
}
